---
title: Firefox 73 for developers
slug: Mozilla/Firefox/Releases/73
tags:
  - '73'
  - Firefox
  - Mozilla
  - Release
---
<p>{{FirefoxSidebar}}</p>

<p class="summary">This article provides information about the changes in Firefox 73 that will affect developers. Firefox 73 was released on February 11, 2020.</p>

<h2 id="Changes_for_web_developers">Changes for web developers</h2>

<h3 id="Developer_tools">Developer tools</h3>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a> now appear as errors in the console (and no longer as warnings) giving them the appropriate visibility ({{bug(1602093)}}).</li>
 <li>Text and regular expression searches in the web console <a href="/en-US/docs/Tools/Web_Console/Console_messages#Filtering_and_searching">can now be negated by prefixing them with '-'</a> ({{bug(1291192)}}).</li>
</ul>

<h3 id="HTML">HTML</h3>

<p><em>No changes.</em></p>

<h3 id="CSS">CSS</h3>

<ul>
 <li>We've implemented {{cssxref("overscroll-behavior-block")}} and {{cssxref("overscroll-behavior-inline")}}, the logical mappings for {{cssxref("overscroll-behavior-x")}} and {{cssxref("overscroll-behavior-y")}} ({{bug(833953)}}).</li>
</ul>

<h4 id="Removals">Removals</h4>

<ul>
 <li>The proprietary <code><a href="/en-US/docs/Web/CSS/@media/-moz-touch-enabled">-moz-touch-enabled</a></code> media query has been removed ({{bug(1486964)}}). You should use <code><a href="/en-US/docs/Web/CSS/@media/pointer">pointer: coarse</a></code> instead.</li>
</ul>

<h3 id="SVG">SVG</h3>

<ul>
 <li>The {{SVGAttr("letter-spacing")}} and {{SVGAttr("word-spacing")}} properties now work in SVG ({{bug(371787)}}). </li>
</ul>

<h3 id="MathML">MathML</h3>

<h4 id="Removals_2">Removals</h4>

<ul>
 <li>The deprecated {{MathMLElement("mfenced")}} element has been removed ({{bug(1603773)}}). Use the {{MathMLElement("mrow")}} and {{MathMLElement("mo")}} elements instead.</li>
</ul>

<h3 id="JavaScript">JavaScript</h3>

<ul>
 <li>The <code>yearName</code> and <code>relatedYear</code> fields have been made available in the <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/DateTimeFormat/formatToParts">DateTimeFormat.prototype.formatToParts()</a></code> method, enabling useful formatting options for CJK calendars ({{bug(1591664)}}).</li>
</ul>

<h3 id="APIs">APIs</h3>

<h4 id="DOM">DOM</h4>

<ul>
 <li>The {{domxref("Window.innerWidth", "innerWidth")}} and {{domxref("Window.innerHeight", "innerHeight")}} properties on {{domxref("Window")}} objects have been updated to return the width and height of the layout viewport in all situations, rather than sometimes being based on the visual viewport. In particular, previously when using <a href="/en-US/docs/Tools/Responsive_Design_Mode">Responsive Design Mode</a>, these returned the visual viewport dimensions, causing the behavior to vary from what was expected ({{bug(1514429)}}).</li>
</ul>

<h4 id="WebVR">WebVR</h4>

<ul>
 <li>The deprecated <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a>—which has been supplanted by <a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR</a>, which supports both <a href="https://en.wikipedia.org/wiki/Augmented_reality">augmented</a> and <a href="https://en.wikipedia.org/wiki/Virtual_reality">virtual reality</a> applications—now <a href="/en-US/docs/Web/API/WebVR_API#API_availability">requires a secure context</a> using the {{Glossary("HTTPS")}} protocol to operate. This is due to the availability of sensitive input sources that may include private information ({{bug(1381645)}}).</li>
</ul>

<h4 id="Removals_3">Removals</h4>

<ul>
 <li>Support for the {{domxref("VideoPlaybackQuality")}} property {{domxref("VideoPlaybackQuality.corruptedVideoFrames", "corruptedVideoFrames")}}, which has been deprecated in the specification, has been removed from Firefox ({{bug(1602163)}}).</li>
</ul>

<h3 id="Security">Security</h3>

<p><em>No changes.</em></p>

<h3 id="WebDriver_conformance_Marionette">WebDriver conformance (Marionette)</h3>

<ul>
 <li>Added <code>WebDriver:Print</code> to print the current page as a PDF document ({{bug(1604506)}}).</li>
 <li><code>Webdriver:TakeScreenshot</code> now always captures the top-level browsing context and not the currently-selected browsing context, if no element to capture has been specified ({{bug(1398087)}}, {{bug(1606794)}}).</li>
 <li>Using <code>Webdriver:TakeScreenshot</code>'s <code>full</code> argument causes the complete page to be captured ({{bug(1571424)}}).</li>
</ul>

<h2 id="Changes_for_add-on_developers">Changes for add-on developers</h2>

<h3 id="API_changes">API changes</h3>

<ul>
 <li>The {{WebExtAPIRef("sidebarAction.toggle()")}} function has been implemented (<a class="external" href="https://bugzilla.mozilla.org/show_bug.cgi?id=1453355" rel="noopener" title="FIXED: Expose ftp protocol enabled/disabled via browserSettings">bug 1453355</a>).</li>
</ul>

<h3 id="Manifest_changes">Manifest changes</h3>

<p><em>No changes.</em></p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Hacks blog post: <a href="https://hacks.mozilla.org/2020/02/firefox-73-is-upon-us/">Firefox 73 is upon us</a></li>
 <li><a href="https://www.fxsitecompat.com/en-CA/versions/73/">Site compatibility for Firefox 73</a></li>
</ul>

<h2 id="Older_versions">Older versions</h2>

<p>{{Firefox_for_developers(72)}}</p>
